<?php

class conexion {

private $servidor="localhost";
private $usuario="radioeldia_panalgrano_invgarf";
private $password="2VqXbZ*NSbmL";
private $conexion;

public function __construct(){

        try {
            $this->conexion=new PDO("mysql:host=$this->servidor;dbname=radioeldia_panalgrano_inventario", $this->usuario, $this->password);
            $this->conexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        }

        catch(PDOException $e){

            return "falla de conexion".$e;


        }

    }

public function ejecutar($sql){
    $this->conexion->exec($sql);
    return $this->conexion->lastInsertId();

    }   

public function consultar($sql) {
    $sentencia = $this->conexion->prepare($sql);
    $sentencia->execute();
    return $sentencia->fetchAll();
   
    }

}

?>